aboutsummaryrefslogtreecommitdiff
path: root/git-fetch.sh
diff options
context:
space:
mode:
authorTom Prince <tom.prince@ualberta.net>2006-01-10 18:50:19 -0700
committerJunio C Hamano <junkio@cox.net>2006-01-10 22:10:37 -0800
commit0f76f52621a6d760127cf2a508e09287766219b6 (patch)
tree7cfe7e06a479489063942b32e2a92f2147635855 /git-fetch.sh
parentcfa6d70bd4a24fd9915880112cf1af41a616579c (diff)
downloadgit-0f76f52621a6d760127cf2a508e09287766219b6.tar.gz
git-0f76f52621a6d760127cf2a508e09287766219b6.tar.xz
Add --keep option to keep downloaded packs to git-fetch.
Signed-off-by: Tom Prince <tom.prince@ualberta.net> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index 73e57bd78..4a0cb32f3 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -40,6 +40,9 @@ do
-v|--verbose)
verbose=Yes
;;
+ -k|--k|--ke|--kee|--keep)
+ keep=--keep
+ ;;
-*)
usage
;;
@@ -309,7 +312,7 @@ fetch_main () {
( : subshell because we muck with IFS
IFS=" $LF"
(
- git-fetch-pack "$remote" $rref || echo failed "$remote"
+ git-fetch-pack $keep "$remote" $rref || echo failed "$remote"
) |
while read sha1 remote_name
do